# $Revision: 1.287 $, $Date: 2009/01/07 20:32:29 $
# TODO
# - schema regstering in openldap-schema-bind
# - apply http://www.caraytech.com/geodns/
#
# Conditional build:
%bcond_without	ssl		# build without OpenSSL support
%bcond_without	ipv6		# build without IPv6 support
%bcond_without	ldap		# build without LDAP support
%bcond_without	kerberos5	# build without kerneros5 support
%bcond_without	sql		# build without SQL support
%bcond_without	static_libs	# build without static libraries
%bcond_without	tests		# perform tests
%bcond_with	hip		# build with HIP RR support
#
Summary:	BIND - DNS name server
Summary(de.UTF-8):	BIND - DNS-Namenserver
Summary(es.UTF-8):	BIND - Servidor de nombres DNS
Summary(fr.UTF-8):	BIND - serveur de noms DNS
Summary(pl.UTF-8):	BIND - serwer nazw DNS
Summary(pt_BR.UTF-8):	BIND - Servidor de nomes DNS
Summary(ru.UTF-8):	BIND - cервер системы доменных имен (DNS)
Summary(tr.UTF-8):	DNS alan adı sunucusu
Summary(uk.UTF-8):	BIND - cервер системи доменних імен (DNS)
Summary(zh_CN.UTF-8):	Internet 域名服务器
%define	ver	9.6.0
%define	plevel	P1
Name:		bind
Version:	%{ver}.%{plevel}
Release:	1
Epoch:		7
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://ftp.isc.org/isc/bind9/%{ver}-%{plevel}/%{name}-%{ver}-%{plevel}.tar.gz
# Source0-md5:	886b7eae55cfdc8cd8d2ca74a2f99c6e
Source1:	named.init
Source2:	named.sysconfig
Source3:	named.logrotate
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5:	35b1dfaa12615c9802126ee833e0e7f7
Source5:	http://www.venaas.no/ldap/bind-sdb/dnszone-schema.txt
# Source5-md5:	49fe799c6eca54ae227b22d57ebc1145
Source6:	%{name}-hip.tar.gz
# Source6-md5:	62a8a67f51ff8db9fe815205416a1f62
Source7:	ftp://rs.internic.net/domain/named.root
# Source7-md5:	a94e29ac677846f3d4d618c50b7d34f1
Source8:	%{name}-127.0.0.zone
Source9:	%{name}-localhost.zone
Source10:	%{name}-named.conf
Patch0:		%{name}-time.patch
Patch1:		%{name}-autoconf.patch
Patch2:		%{name}-link.patch
Patch3:		%{name}-pmake.patch
Patch4:		%{name}-sdb-ldap.patch
URL:		https://www.isc.org/software/bind
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	idnkit-devel
%{?with_kerberos5:BuildRequires:	krb5-devel}
%{?with_hip:BuildRequires:	libxml2-devel}
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_sql:BuildRequires:	mysql-devel}
%{?with_sql:BuildRequires:	postgresql-devel}
%{?with_sql:BuildRequires:	unixODBC-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	fileutils
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	psmisc >= 20.1
Requires:	rc-scripts >= 0.2.0
Provides:	group(named)
Provides:	nameserver
Provides:	user(named)
Obsoletes:	caching-nameserver
Conflicts:	%{name}-chroot
Conflicts:	kernel < 2.2.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses, and a resolver library
(routines for applications to use when interfacing with DNS). A DNS
server allows clients to name resources or objects and share the
information with other network machines. The named DNS server can be
used on workstations as a caching name server, but is generally only
needed on one machine for an entire network. Note that the
configuration files for making BIND act as a simple caching nameserver
are included in the caching-nameserver package.

Install the bind package if you need a DNS server for your network. If
you want bind to act a caching name server, you will also need to
install the caching-nameserver package.

%description -l de.UTF-8
Enthält den Namen-Server, der zum Umwandeln von Host-Namen in
IP-Adressen und umgekehrt verwendet wird. Er kann auf Workstations als
caching Namen-Server verwendet werden, ist aber i.d.R. nur auf einem
Recher des Netzwerks erforderlich.

%description -l es.UTF-8
Incluye el servidor de nombres (DNS), que se usa para traducir nombres
para IP (y viceversa). Puede ser usado en estaciones de trabajo como
un servidor de nombres caché, pero generalmente sólo hace falta en una
máquina para toda la red.

%description -l fr.UTF-8
Contient le serveur de noms named, utilisé pour définir les
traductions nom d'hôte vers adresse IP (et vice versa). Il peut être
utilisé sur les stations de travail comme serveur de nom en cache mais
n'est souvent nécessaire que sur une machine pour un réseau entier.

%description -l pl.UTF-8
Pakiet ten zawiera demona named, który służy do zmieniania nazw
komputerów na numery IP i odwrotnie. Może być on używany na stacjach
roboczych jako bufor odwołań do serwisu nazw (caching name server),
ale generalnie wystarczy tylko jedna jednostka wyposażona w ten
program na fragment sieci.

%description -l pt_BR.UTF-8
Inclui o servidor de nomes (DNS), que é usado para traduzir nomes para
IP (e vice-versa). Pode ser usado em estações de trabalho como um
servidor de nomes cache, mas geralmente só é necessário em uma máquina
para toda a rede.

%description -l ru.UTF-8
BIND (Berkeley Internet Name Domain) является реализацией протоколов
DNS (Domain Name System). BIND включает DNS сервер (named) и
библиотеку "резолвера" (подпрограммы для приложений, через которые
происходят обращения к DNS). DNS сервер named может быть использован
на рабочих станциях как кеширующий сервер, но обычно запускается на
одной машине в локальной сети и используется остальными машинами (этим
достигается намного более эффективное кеширование).

Конфигурационные файлы, настраивающие BIND на работу в режиме простого
кеширующего сервера, включены в пакет caching-nameserver.

%description -l tr.UTF-8
Bu paket, makina adını IP numarasına (ya da tersi) çevirmek için
kullanılan alan adı sunucusunu içerir. İş istasyonlarında bir önbellek
isim sunucusu olarak da kullanılabilir ama genellikle bütün bir ağ
için sadece bir makina üzerinde kurulur.

%description -l uk.UTF-8
BIND (Berkeley Internet Name Domain) є реалізацією протоколів DNS
(Domain Name System). BIND включає DNS сервер (named) та бібліотеку
"резолвера" (підпрограми, що забезпечують інтерфейс до DNS). DNS
сервер named може бути використаний на робочих станціях як кешируючий
сервер, але звичайно запускається на одній машині в локальній мережі і
використовується іншими (цим досягається більша ефективність
використання кешу).

Конфігураційні файли, ща настроюють BIND на роботу в режимі простого
кешируючого серверу, включені в пакет caching-nameserver.

%package utils
Summary:	DNS utils - host, dig, dnsquery, nslookup
Summary(de.UTF-8):	DNS-Utils - Host, Dig, Dnsquery, Nslookup
Summary(es.UTF-8):	Utilitarios DNS - host, dig, dnsquery y nslookup
Summary(fr.UTF-8):	Utilitaires DNS - host, dig, dnsquery, nslookup
Summary(pl.UTF-8):	Narzędzia DNS - host, dig, dnsquery, nslookup
Summary(pt_BR.UTF-8):	Utilitários DNS - host, dig, dnsquery e nslookup
Summary(ru.UTF-8):	Утилиты для посылки запросов к серверам DNS
Summary(tr.UTF-8):	DNS araçları - host, dig, dnsquery, nslookup
Summary(uk.UTF-8):	Утиліти для надсилання запитів до серверів DNS
Summary(zh_CN.UTF-8):	Internet 域名服务器实用工具
Group:		Networking/Utilities
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	iconv

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet
hosts. These tools will provide you with the IP addresses for given
host names, as well as other information about registered domains and
network addresses.

You should install bind-utils if you need to get information from DNS
name servers.

%description utils -l de.UTF-8
Dienstprogrammsammlung zum Abfragen von Namen-Servern und Hosts. Diese
Tools bestimmen die IP-Adresse eines angegebenen Host-Namen und finden
Informationen über registrierte Domains und Netzwerk-Adressen.

%description utils -l es.UTF-8
Conjunto de utilitarios para consulta a servidores de nombres. Estas
herramientas permiten la determinación de direcciones IP para nombres
de máquinas informados y busca información sobre dominios registrados
y direcciones de red.

%description utils -l fr.UTF-8
Ensemble d'utilitaires pour interroger les serveurs de noms et
rechercher des hôtes. Ces outils vous permettent de déterminer les
adresses IP pour des noms d'hôtes donnés, et trouver des informations
sur les noms de domaine déclarés et les adresses réseau.

%description utils -l pl.UTF-8
Pakiet ten zawiera zbiór aplikacji umożliwiających odpytywanie
serwerów nazw z innych domen w celu uzyskania informacji o komputerach
i ich adresach IP.

%description utils -l pt_BR.UTF-8
Conjunto de utilitários para consulta a servidores DNS. Estas
ferramentas permitem a determinação de endereços IP para nomes de
máquinas informados e busca informações sobre domínios registrados e
endereços de rede. Você deveria instalar este pacote se necessitar
obter informações de servidores DNS.

%description utils -l ru.UTF-8
Набор утилит для генерации запросов к серверам имен (DNS) и поиска
адресов машин. Эти утилиты позволяют определить IP-адрес по известному
доменному имени (и наоборот) и другую информацию о зарегистрированных
доменах и сетевых адресах.

%description utils -l tr.UTF-8
Bu pakette isim sunucularını sorgulamak ve makina adreslerini çözmek
için kullanılan araçlar bulunmaktadır.

%description utils -l uk.UTF-8
Набір утиліт для генерації запитів до серверів імен (DNS) та пошуку
адрес машин. Ці утиліти дозволяють отримати IP-адресу за відомим
доменним іменем та навпаки, а також іншу інформацію про зареєстровані
домени та адреси.

%package libs
Summary:	DNS libraries
Summary(pl.UTF-8):	Biblioteki DNS
Summary(ru.UTF-8):	Библиотеки, необходимые для bind
Summary(uk.UTF-8):	Бібліотеки, необхідні для bind
Summary(zh_CN.UTF-8):	Internet 域名服务器开发库
Group:		Libraries

%description libs
The bind-libs package contains all libraries required for running BIND
and bind utils.

%description libs -l pl.UTF-8
Pakiet zawiera wszystkie biblioteki potrzebne do uruchomienia binda
lub programów z pakietu bind-utils.

%description libs -l ru.UTF-8
Библиотеки, необходимые для работы bind.

%description libs -l uk.UTF-8
Бібліотеки, необхідні для роботи bind.

%package devel
Summary:	DNS development includes
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para desarrollo DNS
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek DNS
Summary(pt_BR.UTF-8):	Todos os arquivos de cabeçalho e bibliotecas para desenvolvimento DNS
Summary(ru.UTF-8):	Хедеры и библиотеки разработчика для bind
Summary(uk.UTF-8):	Хедери та бібліотеки програміста для bind
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
The bind-devel package contains all the include files and symlinks
required for DNS (Domain Name Service) development for BIND.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind-libs.

%description devel -l es.UTF-8
Los archivos de inclusión y bibliotecas necesarios al desarrollo DNS
para el bind.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe. Jeżeli będziesz pisał programy pod
binda, lub kompilował kod źródłowy oprogramowania korzystającego z
tych plików nagłówkowych czy biblioteki powinieneś zainstalować ten
pakiet.

%description devel -l pt_BR.UTF-8
Todos os arquivos de cabeçalho e bibliotecas necessários para o
desenvolvimento com o bind.

%description devel -l ru.UTF-8
Все хедеры и библиотеки, необходимые для написания программ с
использованием BIND 9.x.x.

%description devel -l uk.UTF-8
Всі хедери та бібліотеки, необхідні для розробки програм з
використанням BIND 9.x.x.

%package static
Summary:	DNS static libs
Summary(pl.UTF-8):	Biblioteki statyczne DNS
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento DNS
Summary(ru.UTF-8):	Статические библиотеки разработчика для bind
Summary(uk.UTF-8):	Статичні бібліотеки програміста для bind
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static bind libraries.

%description static -l pl.UTF-8
Statyczne biblioteki binda.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento DNS.

%description static -l ru.UTF-8
Статические библиотеки, необходимые для написания программ с
использованием BIND.

%description static -l uk.UTF-8
Статичні бібліотеки, необхідні для розробки програм з використанням
BIND.

%package -n openldap-schema-bind
Summary:	BIND schema for openldap
Summary(pl.UTF-8):	Schemat BIND dla openldap
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openldap-servers

%description -n openldap-schema-bind
BIND schema for openldap.

%description -n openldap-schema-bind -l pl.UTF-8
Schemat BIND dla openldap.

%prep
%setup -q %{?with_hip:-a6} -n %{name}-%{ver}-%{plevel}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{?with_ldap:%patch4 -p1}
%{?with_hip:mv bind-hip/hip_55.[ch] lib/dns/rdata/generic}


%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.* .
%configure \
	CFLAGS="-D_GNU_SOURCE=1" \
	--with-idn \
	--with-libtool \
	%{?with_ssl:--with-openssl=%{_prefix}} \
	%{?with_ipv6:--enable-ipv6} \
	%{?with_kerberos5:--with-gssapi} \
	%{?with_sql:--with-dlz-postgres=yes} \
	%{?with_sql:--with-dlz-mysql=yes} \
	--with-dlz-bdb=no \
	--with-dlz-filesystem=yes \
	%{?with_ldap:--with-dlz-ldap=yes} \
	--with-dlz-odbc=no \
	--with-dlz-stub=yes \
	--enable-largefile \
	%{!?with_static_libs:--enable-static=no} \
	--enable-threads \
	--enable-getifaddrs

%{__make}
%{?with_hip:cd bind-hip/; %{__make}}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_bindir},%{_sbindir},%{_includedir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,3,5,8},%{_var}/{lib/named/{M,D,S,dev,etc},run/{named,lwresd},log}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT%{_mandir}/ja/man8/nslookup.8 $RPM_BUILD_ROOT%{_mandir}/ja/man1/nslookup.1
%{__perl} -pi -e 's/NSLOOKUP 8/NSLOOKUP 1/' $RPM_BUILD_ROOT%{_mandir}/ja/man1/nslookup.1

install bin/tests/named.conf		EXAMPLE-CONFIG-named
install bin/tests/ndc.conf		EXAMPLE-CONFIG-ndc
install %{SOURCE1}			$RPM_BUILD_ROOT/etc/rc.d/init.d/named
install %{SOURCE2}			$RPM_BUILD_ROOT/etc/sysconfig/named
install %{SOURCE3}			$RPM_BUILD_ROOT/etc/logrotate.d/named
install %{SOURCE7}			$RPM_BUILD_ROOT%{_var}/lib/named/root.hint
install %{SOURCE8}			$RPM_BUILD_ROOT%{_var}/lib/named/M/127.0.0.zone
install %{SOURCE9}			$RPM_BUILD_ROOT%{_var}/lib/named/M/localhost.zone
install %{SOURCE10}			$RPM_BUILD_ROOT%{_var}/lib/named%{_sysconfdir}/named.conf

ln -sf %{_var}/lib/named%{_sysconfdir}/named.conf $RPM_BUILD_ROOT/etc/named.conf
ln -sf %{_var}/lib/named/named.log	$RPM_BUILD_ROOT%{_var}/log/named
ln -sf %{_var}/lib/named/named.stats	$RPM_BUILD_ROOT%{_var}/log/named.stats

touch $RPM_BUILD_ROOT%{_var}/lib/named/named.{log,stats}

%{?with_ldap:install -d $RPM_BUILD_ROOT%{_datadir}/openldap/schema}
%{?with_ldap:install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/openldap/schema/dnszone.schema}
%{?with_hip:install bind-hip/hi2dns $RPM_BUILD_ROOT%{_bindir}}

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/named-compilezone.8
echo ".so man8/named-checkzone.8" > $RPM_BUILD_ROOT%{_mandir}/man8/named-compilezone.8

# let rpm generate deps (workaround -m644 used for libs installation)
chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*.*

# we don't want Makefiles in documentation...
rm -rf _doc
cp -a doc _doc
rm -f _doc/rfc/rfc*
rm -f _doc/misc/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f %{_sysconfdir}/named.boot ]; then
	cp -f %{_sysconfdir}/named.boot /etc/named.boot.2conf
	mv -f %{_sysconfdir}/named.boot /etc/named.rpmsave
	echo "Warning: %{_sysconfdir}/named.boot saved as /etc/named.rpmsave." 1>&2
fi
%groupadd -g 58 named
%useradd -u 58 -g 58 -d /tmp -s /bin/false -c "BIND user" named

%post
/sbin/chkconfig --add named
%service named restart

%preun
if [ "$1" = "0" ]; then
	%service named stop
	/sbin/chkconfig --del named
fi

%postun
if [ "$1" = "0" ]; then
	%userremove named
	%groupremove named
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- %{name} < 7:9.4.2-2
/sbin/chkconfig named reset
#triggerpostun -- %{name} < 6:9.4.1
sed -i -e 's#^\([ \t]*category[ \t]\+cname[ \t]\+.*\)$#// \1#g' /var/lib/named/etc/named.conf
sed -i -e 's#^\([ \t]*category[ \t]\+response-checks[ \t]\+.*\)$#// \1#g' /var/lib/named/etc/named.conf
sed -i -e 's#^\([ \t]*category[ \t]\+load[ \t]\+.*\)$#// \1#g' /var/lib/named/etc/named.conf

%files
%defattr(644,root,root,755)
%doc README EXAMPLE-CONFIG-* FAQ %{?with_hip:bind-hip/COPYRIGHT-HIP-RR}
%doc _doc/misc/* _doc/arm/*.html _doc/rfc/index %{?with_ldap:_doc/*.sdb-ldap}

%attr(754,root,root) /etc/rc.d/init.d/named
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/named
%attr(640,root,named) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/named.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/named

%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man8/dns*
%{_mandir}/man8/lwres*
%{_mandir}/man8/named*
%{_mandir}/man8/rndc*
%{_mandir}/man5/rndc*
%{_mandir}/man5/named.conf*
%lang(ja) %{_mandir}/ja/man8/named*

%attr(770,root,named) %dir %{_var}/lib/named
%attr(770,root,named) %dir %{_var}/lib/named/D
%attr(750,root,named) %dir %{_var}/lib/named/M
%attr(770,root,named) %dir %{_var}/lib/named/S
%attr(750,root,named) %dir %{_var}/lib/named%{_sysconfdir}

%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/named/M/*
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/named/root.*
%attr(640,root,named) %config(noreplace) %verify(not md5 mtime size) %{_var}/lib/named%{_sysconfdir}/*
%attr(660,named,named) %config(noreplace,missingok) %verify(not md5 mtime size) %{_var}/log/named*
%attr(660,named,named) %ghost  %{_var}/lib/named/named.log
%attr(660,named,named) %ghost  %{_var}/lib/named/named.stats

%attr(770,root,named) %dir %{_var}/run/named
%attr(770,root,named) %dir %{_var}/run/lwresd

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dig
%attr(755,root,root) %{_bindir}/host
%attr(755,root,root) %{_bindir}/nslookup
%attr(755,root,root) %{_bindir}/nsupdate
%{?with_hip:%attr(755,root,root) %{_bindir}/hi2dns}
%{_mandir}/man1/dig.1*
%{_mandir}/man1/host.1*
%{_mandir}/man1/nslookup.1*
%{_mandir}/man1/nsupdate.1*

%lang(fi) %{_mandir}/fi/man1/host.1*

%lang(fr) %{_mandir}/fr/man1/host.1*

%lang(hu) %{_mandir}/hu/man1/host.1*

%lang(ja) %{_mandir}/ja/man1/dig.1*
%lang(ja) %{_mandir}/ja/man1/host.1*
%lang(ja) %{_mandir}/ja/man1/nslookup.1*
%lang(ja) %{_mandir}/ja/man8/nsupdate.8*

%lang(pl) %{_mandir}/pl/man1/host.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbind9.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbind9.so.[0-9][0-9]
%attr(755,root,root) %{_libdir}/libdns.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdns.so.[0-9][0-9]
%attr(755,root,root) %{_libdir}/libisc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisc.so.[0-9][0-9]
%attr(755,root,root) %{_libdir}/libisccc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisccc.so.[0-9][0-9]
%attr(755,root,root) %{_libdir}/libisccfg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisccfg.so.[0-9][0-9]
%attr(755,root,root) %{_libdir}/liblwres.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblwres.so.[0-9][0-9]

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/isc-config.sh
%attr(755,root,root) %{_libdir}/libbind9.so
%attr(755,root,root) %{_libdir}/libdns.so
%attr(755,root,root) %{_libdir}/libisc.so
%attr(755,root,root) %{_libdir}/libisccc.so
%attr(755,root,root) %{_libdir}/libisccfg.so
%attr(755,root,root) %{_libdir}/liblwres.so
%{_libdir}/libbind9.la
%{_libdir}/libdns.la
%{_libdir}/libisc.la
%{_libdir}/libisccc.la
%{_libdir}/libisccfg.la
%{_libdir}/liblwres.la
%{_includedir}/bind9
%{_includedir}/dns
%{_includedir}/dst
%{_includedir}/isc
%{_includedir}/isccc
%{_includedir}/isccfg
%{_includedir}/lwres
%{_mandir}/man3/lwres*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbind9.a
%{_libdir}/libdns.a
%{_libdir}/libisc.a
%{_libdir}/libisccc.a
%{_libdir}/libisccfg.a
%{_libdir}/liblwres.a
%endif

%if %{with ldap}
%files -n openldap-schema-bind
%defattr(644,root,root,755)
%{_datadir}/openldap/schema/dnszone.schema
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bind.spec,v $
Revision 1.287  2009/01/07 20:32:29  arekm
- up to 9.6.0-P1 (NSEC3 support, automatic zone resigning, epoll support)

Revision 1.286  2008/11/19 10:28:06  arekm
- updated url

Revision 1.285  2008/11/10 09:12:02  arekm
- TODO: geodns support

Revision 1.284  2008/10/21 21:06:11  glen
- create _doc dir for packaging docs

Revision 1.283  2008/10/21 20:22:05  qboosh
- let rpm generate deps for shared libs
- restored rm for Makefiles from doc (better non-reentrant install than junk in packages)
- release 3

Revision 1.282  2008/08/12 10:50:35  arekm
- release 2

Revision 1.281  2008/08/07 17:24:48  arekm
- up to 9.5.0-P2 (more security fixes)

Revision 1.280  2008/07/08 21:16:54  arekm
- up to 9.5.0-P1; fixes CVE-2008-1447

Revision 1.279  2008/06/20 08:50:00  adamg
- get rid of conf-pld.tar.gz, keep those files in CVS (easier to track changes)

Revision 1.278  2008/06/11 20:07:23  qboosh
- more verbose files, ghost soname symlinks

Revision 1.277  2008-06-05 20:24:21  arekm
- rel 2; kerberos bcond; define _GNU_SOURCE for in6_pktinfo

Revision 1.276  2008-06-05 15:24:47  adamg
- seems to be working fine; release 1

Revision 1.275  2008-06-04 22:21:03  adamg
- updated to 9.5.0

Revision 1.274  2008-03-26 15:11:24  glen
- revert needless openldap version bump

Revision 1.273  2008-03-26 13:42:47  glen
- release 4

Revision 1.272  2008-02-05 13:40:07  arekm
- rel 3; named.root with IPv6 entries for some root servers!

Revision 1.271  2008-02-05 13:35:47  arekm
- fix url

Revision 1.270  2008-01-08 14:50:24  baggins
- rel 2
- change named start priority to 11 (before nfsd/portmap)
- added chkconfig reset to trigger

Revision 1.269  2007-12-09 16:21:34  arekm
- up to 9.4.2

Revision 1.268  2007-11-17 18:59:50  areq
- BR unixODBC-devel only with sql

Revision 1.267  2007-11-13 08:45:48  blues
- use root-hints from ftp, not the one bundled years ago.

Revision 1.266  2007-11-12 23:16:00  adamg
- new l.root-servers.net address; release 5

Revision 1.265  2007-11-04 17:30:30  arekm
- rel 4

Revision 1.264  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.263  2007/09/06 06:21:43  arekm
- epoch 7

Revision 1.262  2007/09/05 11:50:17  baggins
- rel 2

Revision 1.261  2007/07/30 16:25:36  qboosh
- CVE references

Revision 1.260  2007/07/24 20:38:22  arekm
- up to 9.4.1.P1 [fixes CVE-2007-2925 CVE-2007-2926]

Revision 1.259  2007/07/14 20:03:35  arekm
- category load added

Revision 1.258  2007/06/18 15:31:37  hawk
- fixed path to named.conf in triggerpostun
- release 6

Revision 1.257  2007/06/16 19:26:44  areq
- bcond without sql

Revision 1.256  2007/06/09 12:49:27  arekm
- rel 5; modprobe capability in init script

Revision 1.255  2007/06/04 10:12:52  areq
- remove Obsoletes:nameserver

Revision 1.254  2007/06/02 16:39:23  arekm
- fix tests

Revision 1.253  2007/06/01 21:28:35  arekm
- add make tests

Revision 1.252  2007/06/01 21:00:43  arekm
rel 3; for th we are brave enough to drop /dev from inside of chroot

Revision 1.251  2007/06/01 18:33:23  arekm
- rel 2; add trigger that comments out invalit categories from config

Revision 1.250  2007/06/01 18:15:50  arekm
- correctly autodetect number of threads (based on number of online cpus) even if chroot is used.

Revision 1.249  2007/06/01 17:25:09  arekm
- /dev/random is not needed inside of chroot (bind can use pre-chroot one). maybe even /dev/null is not needed (works without it with default config)

Revision 1.248  2007/05/11 21:01:17  qboosh
- CVE reference

Revision 1.247  2007/05/11 13:02:10  radek
- version 9.4.1 [fixes CVE-2007-2241]

Revision 1.246  2007/05/11 12:53:47  radek
- release 4: bind-dighost_asccheck.patch

Revision 1.245  2007/03/12 19:45:42  arekm
- rel 3

Revision 1.244  2007/03/12 19:20:49  gotar
- added HIP RR support from openhip

Revision 1.243  2007/03/11 21:50:47  gotar
- fixed device node creation

Revision 1.242  2007/03/08 12:39:39  arekm
- rel 2; skip not interesting getifaddrs entries; fix man

Revision 1.241  2007/03/08 11:40:47  arekm
- drop filesystem symlink for named-compilezone.8

Revision 1.240  2007/03/03 18:22:11  glen
- todo

Revision 1.239  2007/03/03 17:50:19  arekm
- patch7 obsolete

Revision 1.238  2007/03/03 17:40:53  arekm
- up to 9.4.0

Revision 1.237  2007/02/28 20:55:36  arekm
- rel 3; openldap schema separated into subpackage

Revision 1.236  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.235  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.234  2007/02/08 21:10:55  arekm
- rel 2; add ghosts

Revision 1.233  2007/01/31 17:24:01  qboosh
- symlinks with unpackaged targets inside

Revision 1.232  2007/01/31 15:00:53  qboosh
- updated dnszone-schema.txt

Revision 1.231  2007/01/31 14:58:59  qboosh
- updated to 9.3.4 (fixes CVE-2007-0493 CVE-2007-0494)
- updated link patch

Revision 1.230  2006/10/04 08:26:08  qboosh
- updated to 9.3.2-P1 (fixes CVE-2006-4095)

Revision 1.229  2006/09/08 07:02:58  qboosh
- cosmetics

Revision 1.228  2006/08/05 19:25:29  wolf
- rel 1

Revision 1.227  2006/05/16 14:20:50  glen
- vserver safe device nodes

Revision 1.226  2006/02/24 15:20:04  glen
- use %service

Revision 1.225  2005/12/27 13:42:38  hawk
- updated to 9.3.2
- release down to 0.1

Revision 1.224  2005/06/17 22:39:45  twittner
- s/static/static_libs/ in %files

Revision 1.223  2005/06/17 22:16:43  twittner
- added bcond_without static_libs

Revision 1.222  2005/06/17 20:42:07  qboosh
- sorted verify() flags

Revision 1.221  2005/06/17 07:58:53  blues
- please, check first, look at mailing list. reverted reverting... it
  _works_

Revision 1.220  2005/06/16 19:13:45  twittner
- reverted blues' last change due to
  RPM build errors:
    File not found by glob: /tmp/bind-9.3.1-root-inter/var/log/named*
- added named.conf.5 man page to bind package

Revision 1.219  2005/06/16 15:23:38  blues
- logs link is back and commented out empty log-buckets (dunno how to make
  it nice)

Revision 1.218  2005/06/15 23:55:58  twittner
- create null an random devices instead ordinary files for chrooted bind,
  set proper and secure permission / owners for /var/lib/named/dev
  + {null,random}
- removed %{_var}/log/named* for now from %files due to: RPM build errors:
    File not found by glob: /tmp/bind-9.3.1-root-inter/var/log/named*
  I leave it for others.
- rel. 1.2 - test it! (it's rather late now)

Revision 1.217  2005/05/05 13:20:59  qboosh
- M perms fix

Revision 1.216  2005/05/05 13:12:32  dzeus
- typo in %install (missing dir D)

Revision 1.215  2005/05/05 12:00:52  ankry
- separate dir for dynamic zones; any volunteer to check/finish?

Revision 1.214  2005/05/05 10:14:43  qboosh
- cleanup

Revision 1.213  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.212  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.211  2005/03/15 10:55:07  djrzulf
- added patch patching bind-idn.patch,

Revision 1.210  2005/03/15 09:12:07  djrzulf
- idn patch is included in 9.3.1,

Revision 1.209  2005/03/15 07:56:42  djrzulf
- updated patch7,

Revision 1.208  2005/03/15 07:30:34  djrzulf
- started update to 9.3.1, 2 patches need update,

Revision 1.207  2005/01/14 11:05:17  blues
- ...

Revision 1.206  2005/01/14 07:03:10  blues
- why ghost? It's usefull and needed for log analizers

Revision 1.205  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.204  2004/11/14 23:54:26  havner
- epoch 6 after AC

Revision 1.203  2004/11/05 10:49:22  paladine
- spaces->tabs
- cosmetics

Revision 1.202  2004/10/30 21:51:07  hawk
- updated IDN patch, rel 2, STBR

Revision 1.201  2004/10/22 11:49:41  hawk
- works for me, rel 1 (beware of SONAME changes)

Revision 1.200  2004/10/19 09:15:10  hawk
- cosmetics

Revision 1.199  2004/10/19 09:10:45  hawk
- merged version 9.3.0 from DEVEL

Revision 1.198  2004/10/15 22:56:02  qboosh
- use nslookup(1) man provided in sources, rename ja nslookup(8) to nslookup(1)

Revision 1.197  2004/10/13 22:24:25  ankry
- more paths

Revision 1.196  2004/10/12 12:18:27  ankry
- path added

Revision 1.195  2004/10/05 09:05:08  marcus
- /var/lib/named/M should be 770 root.named for DNS updates (ddns)

Revision 1.194  2004/09/29 16:00:57  kolodko
- added macros in /etc/logrotate.d

Revision 1.193  2004/09/24 21:08:48  hawk
- works for me, rel 1

Revision 1.192  2004/09/24 11:25:04  hawk
- updated to 9.2.4, builds, not tested, rel 0.1

Revision 1.191  2004/08/25 05:00:32  ankry
- rel. 9, cosmetics

Revision 1.190  2004/08/23 12:15:43  ankry
- %userremove/%groupremove support

Revision 1.189  2004/08/08 15:54:30  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.188  2004/05/29 10:42:21  averne
- rel 8 for rebuild with new homedir

Revision 1.187  2004/05/07 13:07:06  areq
- fix doc

Revision 1.186  2004/05/02 16:46:01  arekm
- /tmp as homedir

Revision 1.185  2004/04/02 09:27:53  averne
- rel7 for rebuild with new openldap

Revision 1.184  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.183  2004/03/18 17:43:43  saq
- bind-utils requires iconv (it's not functional without it on a typical
  system)
- if anybody knows a way to make bind-utils work w/o iconv, go ahead and
  implement it. For now...
- release 6, STBR

Revision 1.182  2004/03/16 14:22:36  averne
- rel5 for rebuild with new openldap

Revision 1.181  2004/02/29 20:54:24  qboosh
- fixed chown syntax in init script, strict internal deps, release 4

Revision 1.180  2004/01/21 08:00:15  jajcus
- Release: 3
- IDN support in host and dig fixed, so valid SRV (containing "_" in labels)
  and revDNS (with numeric labels) records can be checked

Revision 1.179  2004/01/15 18:55:45  qboosh
- new-style bconds, canonize paths, no need to write in chroot/etc I think

Revision 1.178  2004/01/15 17:21:49  undefine
- add /var/lib/named/etc to listfile, release 2

Revision 1.177  2003/12/22 21:21:17  jack
- killing pld.org.pl in example from named.conf

Revision 1.176  2003/11/18 18:51:36  aredridel
- add ldap database support

Revision 1.175  2003/10/24 22:32:16  arekm
- updated to 9.2.3

Revision 1.174  2003/10/01 07:34:48  qboosh
- look what you are doing - don't fake changelog entries!; restored

Revision 1.173  2003/09/30 20:36:07  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.172  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.171  2003/09/17 12:03:21  krzak
- delegation-only-patch (http://www.isc.org/products/BIND/delegation-only.html)
- rel 3

Revision 1.170  2003/09/12 00:10:26  arekm
- add IDN support, rel 2

Revision 1.169  2003/09/10 14:27:41  blues
- some cleanups

Revision 1.168  2003/08/11 20:44:52  ankry
- cosmetics

Revision 1.167  2003/08/06 16:34:59  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.166  2003/08/01 17:39:40  aredridel
- incremented release to 1.2 to rebuild with fixed initscript

Revision 1.165  2003/06/28 16:21:23  trojan
- fixed epoch:version

Revision 1.164  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.163  2003/06/27 08:53:43  gotar
- s#//#/# - '//' symlinks are worse to find

Revision 1.162  2003/06/13 14:42:38  mmazur
- bumped rel to 1.1 because I've made some *evil* changes to named.init
- *evil* *grin*

Revision 1.161  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.160  2003/05/25 05:45:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.159  2003/05/17 06:26:48  pascalek
- revert user changes

Revision 1.158  2003/05/10 09:31:20  pascalek
- Req user-named

Revision 1.157  2003/04/14 19:09:22  misi3k
- added Obsoletes, Provides

Revision 1.156  2003/03/07 13:54:22  wiget
- BR openssl-devel >= 0.9.7a in NEST ;-)

Revision 1.155  2003/03/07 13:47:09  ankry
- BR: openssl 0.9.7 in Ac !!!

Revision 1.154  2003/03/06 22:44:28  qboosh
- removed obsolete sec-from-833 and divert_fix patches

Revision 1.153  2003/03/05 06:32:06  jack
- BR openssl 0.9.7 -> 0.9.6i
  "BIND 9.2.2 is a maintenance release, containing fixes for a number of bugs in 9.2.0 and 9.2.1 but no new features.
  libbind: from BIND 8.3.3. [CERT CA-2002-19]
  Minimum OpenSSL version now 0.9.6e. [CERT CA-2002-23]"
  	                          ^^^^^^
- Po kiego właściwie juandon pozamieniał wszędzie openssl na 0.9.7?!

Revision 1.152  2003/03/04 10:21:15  cieciwa
- added --without ssl
- added --without ipv6

Revision 1.151  2003/03/04 09:53:31  misi3k
- removed Patch3 & Patch5 (not need)

Revision 1.150  2003/03/01 20:06:10  juandon
- added pmake.patch

Revision 1.149  2003/02/13 14:02:01  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.148  2002/12/25 01:26:24  qboosh
- libbind_libs patch replaced by link patch - more linking fixed
  (removed unnecessary -lnsl, added linking with other used bind libraries)

Revision 1.147  2002/12/03 21:33:54  ankry
- cleaning

Revision 1.146  2002/11/29 17:44:35  mmazur
- compilation fixes (fixed *.la file will have influence on other builds)
- rel 12; though only developers should use it (not for Ra)

Revision 1.145  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.144  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.143  2002/09/28 22:37:30  misiek
- move libbind includes to %{_includedir}/bind

Revision 1.142  2002/09/18 13:21:18  misiek
- added --enable-libbind; rel 10

Revision 1.141  2002/08/18 14:21:28  blues
- release 9 - fixed requires, exit added to pre. STBR

Revision 1.140  2002/08/17 20:59:28  qboosh
- better messages in pre, added Requires(), release 8

Revision 1.139  2002/07/01 22:26:37  qboosh
- added missing files: *.la to -devel and ja nsupdate(8) man page
- new %doc
- release 7

Revision 1.138  2002/07/01 20:11:51  kloczek
- bump release to 6 and merge translations from TurboLinux.

Revision 1.137  2002/07/01 10:24:29  qboosh
- added security fix for overflow in resolver (libbind) taken from bind 8.3.3
- release 2 (not tested yet!)

Revision 1.136  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.135  2002/05/21 23:12:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
    s/^autoconf/\%\{__autoconf\}/"

Revision 1.134  2002/05/02 22:24:00  zagrodzki
- updated to 9.2.1
- STBR

Revision 1.133  2002/04/29 11:28:42  blues
- release 8
- enabled threads - multi-CPU options are functional
- removed Makefile from docs
- Making users is apache-like now.

Revision 1.132  2002/04/25 15:53:15  arturs
- fixed a small typo

Revision 1.131  2002/04/25 08:45:27  radzio
- mv /usr/bin/nsupdate from bind to bind-utils
- release 7

Revision 1.130  2002/04/11 07:01:59  jajcus
- Release: 6
- init script uses rndc when available

Revision 1.129  2002/03/27 11:41:55  roman
- s/BSD Like/BSD-like in License

Revision 1.128  2002/03/17 15:52:33  kloczek
- merge translations from KSI.

Revision 1.127  2002/03/13 22:32:59  ankry
- added rfc/index to documentation; release 5

Revision 1.126  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.125  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.124  2002/02/02 10:38:55  kloczek
- release 4.

Revision 1.123  2002/02/01 11:27:59  blues
- added empty named.stats

Revision 1.122  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.121  2002/01/21 12:35:02  baggins
- release 2
- added NUM_CPUS option to rc scripts

Revision 1.120  2002/01/18 02:12:30  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.119  2001/12/02 11:11:20  kloczek
- License changed to BSD like and few cosmetics.

Revision 1.118  2001/11/27 13:44:23  zagrodzki
- updated to 9.2.0

Revision 1.117  2001/11/19 13:05:36  ankry
- removed resolver.5 man page
- added fi, fr, hu. ja. pl man pages
- release 7

Revision 1.116  2001/11/10 16:45:29  jajcus
- s/Distibutable/distributable/ in License

Revision 1.115  2001/10/10 12:13:27  orzech
- %config(noreplace) to files in /var/lib/named/{,M}/*

Revision 1.114  2001/10/03 16:44:53  filon
- added require devel in static subpkg
- release 6

Revision 1.113  2001/09/26 09:24:42  qboosh
- release 5
- added BuildRequires: libtool

Revision 1.112  2001/09/24 09:55:24  qboosh
- Prereq: /sbin/chkconfig

Revision 1.111  2001/09/17 12:18:45  qboosh
- removed English "es" translations from -static

Revision 1.110  2001/09/02 16:22:15  kloczek
- merge translations from CNV and me corrections on using %{_sysconfdir}
  macro.

Revision 1.109  2001/09/01 21:04:50  qboosh
- detach fd 0 from terminal in named.init
- removed "category load" from named.conf - bind 9 doesn't understand it

Revision 1.108  2001/07/31 17:15:23  mkochano
- Release 4.
- Rebuild with updated named.logrotate.

Revision 1.107  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.104  2001/07/21 15:19:59  blues
- was buildrequire openssl-devel >= 0.9.6b really needed??

Revision 1.103  2001/07/13 10:07:45  kloczek
- reelase 3,
- rebuild against openssl 0.9.6b,
- added "%requires_eq openssl".

Revision 1.102  2001/07/11 20:24:56  qboosh
- release 2: libtoolize ; aclocal (needed to build with new autostuff)

Revision 1.101  2001/07/04 12:01:08  lukasz
- updated to 9.1.3

Revision 1.100  2001/05/09 01:46:28  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.99  2001/05/06 08:17:35  kloczek
- updayed to 9.1.2.

Revision 1.98  2001/04/28 15:09:34  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.97  2001/04/24 04:58:36  kloczek
- release 2,
- fixed runlevel agains NFS exports which may want DNS names (siefca).

Revision 1.96  2001/04/09 08:25:51  mkochano
- Release 5.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.95  2001/03/29 15:21:51  misiek
- rc7 released as 9.1.1; stb

Revision 1.94  2001/03/27 13:53:23  wiget
- rc7

Revision 1.93  2001/03/26 12:11:10  zagrodzki
- upated to rc6

Revision 1.92  2001/03/25 04:21:04  zagrodzki
- this is rc5 version, anyway

Revision 1.91  2001/03/25 04:20:17  zagrodzki
- listen_patch obsoleted by -fixes.patch

Revision 1.90  2001/03/25 02:14:02  zagrodzki
- added 2 patches
- release 2

Revision 1.89  2001/02/21 17:01:03  qboosh
- added lwres*.3 manuals to devel package
- some fixes in pl translations
- BuildRequires: autoconf, bison (not byacc)

Revision 1.88  2001/02/20 15:37:51  baggins
- release 5
- config(noreplace) for /var/lib/named/etc/*

Revision 1.87  2001/02/01 20:55:28  kloczek
- release 4: added Prereq: bind-libs for main package - in bind %post is
  restarted named and without previosly installed libs named restart fails.

Revision 1.86  2001/02/01 16:27:33  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.85  2001/01/31 16:50:38  kloczek
- commented (temporary) new Requires() rules - back to old one.

Revision 1.84  2001/01/31 16:46:11  kloczek
- release 3: merged proper init script from BIND9 branch (baggins).

Revision 1.83  2001/01/30 22:46:27  kloczek
- more procise Requires rules using parametrized Require().

Revision 1.82  2001/01/30 21:27:34  baggins
- really removed chroot crap

Revision 1.81  2001/01/30 21:19:52  baggins
- merged BIND9 branch
- removed pre/post for chroot package (no longer needed)

Revision 1.68.2.16  2001/01/30 21:14:54  baggins
- removed pre-9 %changelog

Revision 1.68.2.15  2001/01/30 20:59:20  baggins
- release 2
- added confilcts with kernel < 2.2.18
- fixed /etc/named.conf symlink
- fixed init script

Revision 1.68.2.14  2001/01/30 19:14:27  zagrodzki
- *.conf moved to /var/lib/named/etc/*

Revision 1.68.2.13  2001/01/30 17:04:09  zagrodzki
- added named.conf to %files

Revision 1.68.2.12  2001/01/30 16:26:23  zagrodzki
- buildrequires: openssl-devel, byacc

Revision 1.68.2.11  2001/01/19 16:04:51  wiget
- 9.1.0 - this version work with 2.2.18 kernel

Revision 1.68.2.10  2001/01/13 09:46:46  misiek
- 9.1.0rc1

Revision 1.68.2.9  2001/01/04 19:10:05  baggins
- updated to 9.1.0b2
- link with system openssl

Revision 1.68.2.8  2000/12/28 14:53:32  baggins
- release 2
- added libs packege

Revision 1.68.2.7  2000/12/06 10:06:35  misiek
- run ldconfig

Revision 1.68.2.6  2000/12/06 03:02:14  wiget
- 9.1.0b1

Revision 1.68.2.5  2000/11/12 15:05:56  misiek
- 9.0.1

Revision 1.68.2.4  2000/11/08 19:49:39  misiek
- removed shared openssl patch, so now bind is chroot()able again

Revision 1.68.2.3  2000/11/08 09:48:47  misiek
- added openssl patch

Revision 1.68.2.2  2000/11/07 21:33:16  misiek
- updated to 9.0.1rc2

Revision 1.68.2.1  2000/09/26 18:54:44  baggins
- rewrite for 9.0.0
- WARNING! option -u works only on kernels >= 2.4.0-test1
